DB_ENV->get_lg_max()
Prev | Chapter 7. The DB_LSN Handle | Next

## DB_ENV->get_lg_max()

    #include <db.h>

    int
    DB_ENV->get_lg_max(DB_ENV *dbenv, u_int32_t *lg_maxp);

The `DB_ENV->get_lg_max()` method returns the maximum log file size. You can manage this value using the DB_ENV->set_lg_max() method.

The `DB_ENV->get_lg_max()` method may be called at any time during the life of the application.

The `DB_ENV->get_lg_max()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### lg_maxp

The `DB_ENV->get_lg_max()` method returns the maximum log file size in lg_maxp.

### Class

DB_ENV, DB_LOGC, DB_LSN

### See Also

Logging Subsystem and Related Methods, DB_ENV->set_lg_max()

Prev | Up | Next
DB_ENV->get_lg_filemode() | Home | DB_ENV->get_lg_regionmax()